=== elmerparam/test/matc/Makefile ===
all:

include ../make.inc

clean:
	rm -f input test.log
