=== elmerparam/test/matc2/Makefile ===
all:

include ../make.inc

clean:
	rm -f input test.log umm buu
