=== elmerparam/test/shell_1/Makefile ===
all:

include ../make.inc

clean:
	rm -rf input output muu test.log
