=== debian/changelog ===
elmerfem (6.1.0.svn.5396.dfsg2-4ubuntu1) trusty; urgency=low

  * Use autotools-dev and dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 09 Feb 2014 16:12:14 -0500

elmerfem (6.1.0.svn.5396.dfsg2-4) unstable; urgency=medium

  * Add build dependency on libpng-dev.
  * Update debian/rules to fix build with new autotools. (Closes: #724201)
    [Thanks to Peter Michael Green]

 -- Boris Pek <tehnick@debian.org>  Tue, 17 Dec 2013 20:30:59 +0400

elmerfem (6.1.0.svn.5396.dfsg2-3) unstable; urgency=low

  [ Boris Pek ]
  * Add debian/patches/add-NAMESPACE-for-elmerparam-R-module.patch:
    fix FTBFS with r-base-core >= 3.0.0. (Closes: #707872)

  [ Sébastien Villemot ]
  * Update debian/control:
    - update names of BLAS/LAPACK packages in Build-Depends
    - add matlab-support to Build-Conflicts
      (otherwise the package FTBFS in elmerparam subdirectory)

 -- Boris Pek <tehnick@debian.org>  Wed, 07 Aug 2013 00:30:48 +0300

elmerfem (6.1.0.svn.5396.dfsg2-2) unstable; urgency=low

  * Add myself to Uploaders. (See: #691875)
  * Remove usr/bin/ElmerGUI* from debian/elmer.files. (Closes: #698527)
  * Remove usr/bin/ElmerClips from debian/elmer.files. 
  * Remove usr/share/ElmerGUI* from debian/elmer-common.files.
  * Remove files which became useless after removing ElmerGUI:
    - debian/*.desktop
    - debian/README.Debian
    - debian/elmer.config
    - debian/elmer.config
    - debian/elmer.docs
    - debian/elmer.postinst
    - debian/elmer.prerm
    - debian/elmer.templates
    - debian/patches/ElmerGUI-config.patch
    - debian/patches/ElmerGUI-no-strip.patch
    - debian/patches/glu.patch
    - debian/patches/lib-link-order.patch
    - debian/patches/libav_071.patch
    - debian/patches/no-avcore.patch
    - debian/patches/no-tetgen.patch
    - debian/patches/node-partition.patch
    - debian/po/*
  * Update debian/rules and debian/patches/series to fit changes above.
  * Remove extra build dependencies:
    liboce-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
    libqwt5-qt4-dev, libvtk5-qt4-dev, python-qt4-dev,
    libavcodec-dev, libavutil-dev, libswscale-dev
  * Remove package elmergui-samples.

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 05 Feb 2013 21:50:05 +0200

elmerfem (6.1.0.svn.5396.dfsg2-1) unstable; urgency=low

  * Team upload.
  * Delete non-free and unnecessary files from tarball:
    - ElmerGUI/Application/plugins/tetgen.h
    - misc/tetgen_plugin/*
    (Closes: #687954)
  * Add debian/patches/no-tetgen.patch: fix build without tetgen plugin.
  * Add script debian/elmerfem_get-orig-source.sh.
  * Add get-orig-source section in debian/rules.
  * Update debian/copyright:
    - update debian/copyright in according to Copyright format 1.0
    - add missed copyright holders and licenses
    - add info how to repack orig tarball

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 24 Sep 2012 20:21:17 +0300

elmerfem (6.1.0.svn.5396.dfsg-5.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Tormod Volden ]
  * debian/patches/glu.patch:
    - Fix FTBFS by linking with GLU (Closes: #663944, #671907).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 May 2012 00:51:10 +0200

elmerfem (6.1.0.svn.5396.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #660894
    - Dutch; (Jeroen Schot).  Closes: #661126
    - Polish (Michał Kułach).  Closes: #667943

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Apr 2012 08:52:33 +0200

elmerfem (6.1.0.svn.5396.dfsg-5) unstable; urgency=low

  * Have libelmer-dev conflict with older versions of elmer providing elmerf90
    etc. (closes: #659190).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 13 Feb 2012 15:19:54 -0500
