=== debian/control ===
Source: elmerfem
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Boris Pek <tehnick@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
 gfortran, libblas-dev | libblas.so, liblapack-dev | liblapack-3.so,
 mpi-default-dev, mpi-default-bin,
 libhypre-dev, libsuitesparse-dev, libarpack2-dev, libparpack2-dev,
 libmumps-scotch-dev,
 libreadline-dev, libncurses5-dev,
 libx11-dev, tk8.5-dev, tcl8.5-dev, libfreetype6-dev,
 libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libscotchmetis-dev, r-base-core, libpng-dev, dh-autoreconf, autotools-dev
Build-Conflicts: libatlas3-base, libatlas-base-dev, gcc-multilib,
 matlab-support
Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
Homepage: http://www.csc.fi/elmer/

Package: elmer
Architecture: any
Section: science
Depends: elmer-common (= ${source:Version}), ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
Suggests: elmer-doc
Description: finite element multiphysics suite - binaries
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer binaries, including the solver (single- and
 multi-processor versions), GUI, and post-processor.

Package: elmer-dbg
Architecture: any
Section: debug
Depends: elmer (= ${binary:Version}), ${misc:Depends}
Description: finite element multiphysics suite - debugging symbols
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the debugging symbols for binaries in the elmer package.

Package: elmer-common
Architecture: all
Section: science
Depends: ttf-freefont, ${misc:Depends}
Recommends: elmer (>= ${source:Version})
Description: finite element multiphysics suite - architecture-independent files
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the architecture-independent files for Elmer.

Package: libelmersolver-6.1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libelmer-dev
Conflicts: libelmersolver-5.4.1
Replaces: libelmersolver-5.4.1
Description: finite element multiphysics suite - library
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer solver shared library.

Package: libelmersolver-dbg
Architecture: any
Section: debug
Depends: libelmersolver-6.1 (= ${binary:Version}), ${misc:Depends}
Description: finite element multiphysics suite - library debugging symbols
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package provides the Elmer solver shared library's debugging symbols.

Package: libelmer-dev
Architecture: any
Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}),
 libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
 libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 mpi-default-dev, mpi-default-bin, gfortran, ${misc:Depends}
Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1), elmer (<< 5.5.0.svn.5210.dfsg-1)
Section: libdevel
Description: finite element multiphysics suite - development files
 The Elmer multiphysics simulation package includes physical models of
 fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
 acoustics, among others. These are described by partial differential equations
 which Elmer solves by the Finite Element Method (FEM).
 .
 Elmer uses METIS (or its free counterpart Scotch) for mesh partitioning, and
 (P)ARPACK, UMFPACK, BLAS/LAPACK, and hypre to solve the sparse linear systems
 resulting from FEM discretization. It includes pre- and post-processors, and
 several examples illustrating simulation of various physical phenomena.
 .
 Elmer's lead institution is CSC in collaboration with Finnish universities,
 research institutes, and industry.
 .
 This package contains the static libraries and header files for eio, huti, and
 matc, as well as the Elmer solver shared library symlink. These are used for
 developing Elmer, and are not needed to run the software.
