## elmerfem 7.0.svn.6034+dfsg

=== debian/changelog ===
elmerfem (7.0.svn.6034+dfsg-2) experimental; urgency=low

  [ Boris Pek ]
  * Add debian/patches/add-NAMESPACE-for-elmerparam-R-module.patch:
    fix FTBFS with r-base-core >= 3.0.0. (Closes: #707872)
  * Update debian/control:
    - package libelmersolver-7.0 replaces and conflicts with libelmersolver-6.1
    - update Vcs-* fields: fix lintian notes vcs-field-not-canonical
    - change maintainer name from "Debian Science Maintainers" to
      "Debian Science Team"
  * Update debian/*.desktop:
    - add Keywords fields
      (fix lintian notes desktop-entry-lacks-keywords-entry)
    - update Categories and Exec fields
      (fix errors and hints found by desktop-file-validate)
  * Simplify debian/elmer.lintian-overrides and
    debian/libelmersolver-7.0.lintian-overrides:
    few false positives for lintian tag hardening-no-fortify-functions were
    fixed in lintian.

  [ Sébastien Villemot ]
  * Update debian/control:
    - update names of BLAS/LAPACK packages in Build-Depends
    - add matlab-support to Build-Conflicts
      (otherwise the package FTBFS in elmerparam subdirectory)

 -- Boris Pek <tehnick@debian.org>  Sat, 10 Aug 2013 16:54:08 +0300

elmerfem (7.0.svn.6034+dfsg-1) experimental; urgency=low

  * New upstream revision.
  * Add myself to Uploaders. (See: #691875)
  * Bump Standards-Version to 3.9.4 (was 3.9.2).
  * Bump debhelper version to 8 (was 5); update debian/compat.
  * Rename package libelmersolver-6.1 to libelmersolver-7.0 and update
    all related files.
  * Fix lintian notes maintainer-script-without-set-e and
    package-contains-empty-directory.
  * Update debian/patches/no-tetgen.patch.
  * Update debian/patches/libav_071.patch.
  * Update debian/patches/no-avcore.patch: add description.
  * Update debian/control:
    - fix lintian notes binary-control-field-duplicates-source
    - fix lintian notes conflicts-with-version
  * Update debian/rules:
    - fix package build twice a row
    - use hardening flags in compiler options
    - add -Wl,--as-needed to LDFLAGS
    - use bzip2 compression for the binary packages
    - fix get-orig-source section in according with Debian Policy §4.9
  * Update debian/elmerfem_get-orig-source.sh:
    - new version scheme (fix lintian note dfsg-version-with-period)
    - use xz compression for orig tarball
    - small cosmetic fixes
  * Update debian/*.desktop:
    fix lintian notes desktop-entry-contains-encoding-key.
  * Add debian/patches/fix-build-with-hardening-compiler-options.patch:
    fix FTBFS with GCC >= 4.7 and hardening compiler options.
  * Add debian/patches/add-linking-flags-for-elmerparam-library.patch:
    use additional linking flags for elmerparam shared library.
  * Add debian/patches/fix-spelling-errors.patch.
  * Add debian/libelmersolver-7.0.lintian-overrides:
    - ignore false positives for lintian tags hardening-no-relro and
      hardening-no-fortify-functions: these modules are compiled by gfortran,
      so LDFLAGS and CPPFLAGS variables are not applicable
    - ignore false positives for lintian tag spelling-error-in-binary
  * Add debian/elmer.lintian-overrides:
    - ignore false positives for lintian tag hardening-no-fortify-functions
    - ignore false positives for lintian tag spelling-error-in-binary
  * Add debian/libelmer-dev.lintian-overrides:
    ignore lintian note arch-dep-package-has-big-usr-share:
    size of compressed package is less than 4 MiB, so there is no reason
    to move directory usr/share/elmersolver/include/ into separate package.
  * Add debian/elmer-common.lintian-overrides:
    ignore lintian notes package-contains-broken-symlink:
    these symlinks point to directories from other packages.
  * Add debian/watch: fix lintian note debian-watch-file-is-missing.
  * Delete debian/README.source: there are no useful information in it.
  * Update debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Sat, 23 Mar 2013 21:11:03 +0200
