=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: elmerfem
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Boris Pek <tehnick@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 5), quilt, po-debconf, autoconf, automake,
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8), quilt, po-debconf, autoconf, automake,
  gfortran, libblas-dev | libblas.so, liblapack-dev | liblapack-3.so,
  mpi-default-dev, mpi-default-bin,
  libhypre-dev, libsuitesparse-dev, libarpack2-dev, libparpack2-dev,
@@ -13,18 +12,19 @@
  libreadline-dev, libncurses5-dev,
  libx11-dev, tk8.5-dev, tcl8.5-dev, libfreetype6-dev,
  libftgl-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
- libscotchmetis-dev, r-base-core, libpng-dev, dh-autoreconf, autotools-dev
+ liboce-modeling-dev, libqt4-dev, qt4-qmake, libqt4-opengl-dev,
+ libqwt5-qt4-dev, libvtk5-qt4-dev (>= 5.8), python-qt4-dev, libscotchmetis-dev,
+ r-base-core, libavcodec-dev, libavutil-dev, libswscale-dev
 Build-Conflicts: libatlas3-base, libatlas-base-dev, gcc-multilib,
  matlab-support
-Vcs-Git: git://git.debian.org/git/debian-science/packages/elmerfem.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/elmerfem.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/elmerfem.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/elmerfem.git
 Homepage: http://www.csc.fi/elmer/
 
 Package: elmer
 Architecture: any
-Section: science
 Depends: elmer-common (= ${source:Version}), ${shlibs:Depends}, mpi-default-bin, ${misc:Depends}
-Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
+Breaks: elmer-common (<< 5.5.0.svn.4499.dfsg-1)
 Suggests: elmer-doc
 Description: finite element multiphysics suite - binaries
  The Elmer multiphysics simulation package includes physical models of
@@ -44,8 +44,8 @@
  multi-processor versions), GUI, and post-processor.
 
 Package: elmer-dbg
+Section: debug
 Architecture: any
-Section: debug
 Depends: elmer (= ${binary:Version}), ${misc:Depends}
 Description: finite element multiphysics suite - debugging symbols
  The Elmer multiphysics simulation package includes physical models of
@@ -65,7 +65,6 @@
 
 Package: elmer-common
 Architecture: all
-Section: science
 Depends: ttf-freefont, ${misc:Depends}
 Recommends: elmer (>= ${source:Version})
 Description: finite element multiphysics suite - architecture-independent files
@@ -84,13 +83,13 @@
  .
  This package provides the architecture-independent files for Elmer.
 
-Package: libelmersolver-6.1
+Package: libelmersolver-7.0
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libelmer-dev
-Conflicts: libelmersolver-5.4.1
-Replaces: libelmersolver-5.4.1
+Replaces: libelmersolver-5.4.1, libelmersolver-6.1
+Conflicts: libelmersolver-5.4.1, libelmersolver-6.1
 Description: finite element multiphysics suite - library
  The Elmer multiphysics simulation package includes physical models of
  fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
@@ -108,9 +107,9 @@
  This package provides the Elmer solver shared library.
 
 Package: libelmersolver-dbg
+Section: debug
 Architecture: any
-Section: debug
-Depends: libelmersolver-6.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libelmersolver-7.0 (= ${binary:Version}), ${misc:Depends}
 Description: finite element multiphysics suite - library debugging symbols
  The Elmer multiphysics simulation package includes physical models of
  fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
@@ -128,13 +127,13 @@
  This package provides the Elmer solver shared library's debugging symbols.
 
 Package: libelmer-dev
+Section: libdevel
 Architecture: any
-Depends: elmer (= ${binary:Version}), libelmersolver-6.1 (= ${binary:Version}),
+Depends: elmer (= ${binary:Version}), libelmersolver-7.0 (= ${binary:Version}),
  libhypre-dev, libsuitesparse-dev, libarpack2-dev, libmumps-scotch-dev,
  libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
  mpi-default-dev, mpi-default-bin, gfortran, ${misc:Depends}
-Conflicts: elmer-common (<< 5.5.0.svn.4499.dfsg-1), elmer (<< 5.5.0.svn.5210.dfsg-1)
-Section: libdevel
+Breaks: elmer-common (<< 5.5.0.svn.4499.dfsg-1), elmer (<< 5.5.0.svn.5210.dfsg-1)
 Description: finite element multiphysics suite - development files
  The Elmer multiphysics simulation package includes physical models of
  fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
@@ -152,3 +151,16 @@
  This package contains the static libraries and header files for eio, huti, and
  matc, as well as the Elmer solver shared library symlink. These are used for
  developing Elmer, and are not needed to run the software.
+
+Package: elmergui-samples
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: elmer, elmer-doc
+Description: ElmerGUI samples directory
+ The Elmer multiphysics simulation package includes physical models of
+ fluid dynamics, structural mechanics, electromagnetics, heat transfer, and
+ acoustics, among others. These are described by partial differential equations
+ which Elmer solves by the Finite Element Method (FEM).
+ .
+ This package contains the ElmerGUI samples directory with files needed to run
+ some of the tutorials in the elmer-doc package.
